org.apache.lucene.util.compress

## Class LZ4.FastCompressionHashTable

- java.lang.Object
- - org.apache.lucene.util.compress.LZ4.FastCompressionHashTable

Enclosing class:
  LZ4

    public static final class LZ4.FastCompressionHashTable
    extends Object

Simple lossy `HashTable` that only stores the last ocurrence for each hash on `2^14` bytes of memory.

### Constructor Summary

Constructors
Constructor and Description
`FastCompressionHashTable()` Sole constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `previous(int off)` Return an index that less than `off` and stores the same 4 bytes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FastCompressionHashTable

    public FastCompressionHashTable()

Sole constructor

### Method Detail

#### previous

    public int previous(int off)

Return an index that less than `off` and stores the same 4 bytes. Unlike `get(int)`, it doesn't need to be called on increasing offsets. A return value of `-1` indicates that no other index could be found.